 25-akpm/include/asm-i386/cacheflush.h |    2 --
 25-akpm/include/linux/mm.h            |    8 ++++++++
 mm/page_alloc.c                       |    0 
 3 files changed, 8 insertions(+), 2 deletions(-)

diff -puN mm/page_alloc.c~unmap-page-debugging-2-fix mm/page_alloc.c
diff -puN include/asm-i386/cacheflush.h~unmap-page-debugging-2-fix include/asm-i386/cacheflush.h
--- 25/include/asm-i386/cacheflush.h~unmap-page-debugging-2-fix	Mon Jun  2 14:34:12 2003
+++ 25-akpm/include/asm-i386/cacheflush.h	Mon Jun  2 14:34:12 2003
@@ -20,8 +20,6 @@ int change_page_attr(struct page *page, 
 #ifdef CONFIG_DEBUG_PAGEALLOC
 /* internal debugging function */
 void kernel_map_pages(struct page *page, int numpages, int enable);
-#else
-static inline void kernel_map_pages(struct page *page, int numpages, int enable) { }
 #endif
 
 #endif /* _I386_CACHEFLUSH_H */
diff -puN include/linux/mm.h~unmap-page-debugging-2-fix include/linux/mm.h
--- 25/include/linux/mm.h~unmap-page-debugging-2-fix	Mon Jun  2 14:34:12 2003
+++ 25-akpm/include/linux/mm.h	Mon Jun  2 14:34:12 2003
@@ -609,5 +609,13 @@ extern struct page * follow_page(struct 
 		int write);
 extern int remap_page_range(struct vm_area_struct *vma, unsigned long from,
 		unsigned long to, unsigned long size, pgprot_t prot);
+
+#ifndef CONFIG_DEBUG_PAGEALLOC
+static inline void
+kernel_map_pages(struct page *page, int numpages, int enable)
+{
+}
+#endif
+
 #endif /* __KERNEL__ */
 #endif /* _LINUX_MM_H */

_
